Subject: Re: bug#15155: 24.3; wrap-prefix in adaptive-wrap-prefix-mode with variable-pitch has wrong face

From: Frank Fischer <[email-masked]>
Date: Thu, 22 Aug 2013 18:15:21 +0200

Am 08/22/2013 06:03 PM, schrieb Eli Zaretskii:
>> Date: Thu, 22 Aug 2013 17:26:50 +0200
>> From: Frank Fischer <[email-masked]>
>> CC: Frank Fischer <[email-masked]>, 
>>  [email-masked], [email-masked]
>>
>>> How about using the face returned by face-at-point, instead of
>>> 'default'?
>>
>> I'm not sure. In my tests (adding several % comment marker before a line
>> in a LaTeX document) I got strange results. Sometimes the wrap prefix
>> had the correct color, sometimes not. But in no case it had the correct
>> (variable-width) font. I used the following code (of course the correct
>> name of the variable is `adaptive-fill-regexp` not `adaptive-fill-prefix`):
>>
>> (setq adaptive-fill-function
>>   (lambda ()
>>     (and adaptive-fill-regexp
>>          (looking-at adaptive-fill-regexp)
>>          (propertize (match-string-no-properties 0) 'face
>> 		     (face-at-point)))))
> 
> Perhaps you are calling face-at-point at the wrong buffer position.

Perhaps, but what is the correct buffer position (I expected (point)
when `looking-at` is called to be the correct one, but this may be wrong
in some cases -- I do not know enough about the internals of determining
the wrap-prefix to really say what's going on)?

However, as long as the prefix does not get the correct font it does not
matter, because this is the most important aspect (for me because I want
to use adaptive-wrap with variable-pitch-mode).